public class HistogramDataDisplay extends DataDisplay {

	public HistogramDataDisplay(String name, Data subject) {
		super(name, subject);
	}

	@Override
	public void update() {
		System.out.println(getClass() + ": " + name);
		int[] sortedArray = super.getContent();
		boolean isSorted = false;
		while (!isSorted) {
			isSorted = true;
			for (int i = 0; i < sortedArray.length - 1; i++) {
				if (sortedArray[i] > sortedArray[i + 1]) {
					int temp = sortedArray[i];
					sortedArray[i] = sortedArray[i + 1];
					sortedArray[i + 1] = temp;
					isSorted = false;
				}
			}
		}
		int lastVal = -1;
		for (int i : sortedArray) {
			if (i == lastVal)
				System.out.print("*");
			else {
				System.out.format("%s%d\t*", (lastVal == -1) ? "" : "\n", i);
				lastVal = i;
			}
		}
		System.out.println();
	}
}
